function [tempH,tempB]=gethd(Aols,et,A0,data)
%historical decomposition
        const=1;
        errormat=et;
        IdentMat=A0';
        DecompVAR=var_historical_decomp(Aols,IdentMat,data,...
            errormat',const);
        tempH=DecompVAR.yfs;
        tempB=DecompVAR.initeffecty';
      